#422 closed defect (fixed)

Shell doesn't check for a end of list when adding monitor commands

Reported by: mikeci Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

In cmds.c there is a bug. In function register_cmds when adding monitor commands the while loop should test for NULL string in the command field:

while(command->command) /* we need to check if command is a NULL string */

and not if command is a NULL pointer because the last entry in the monitor table is not NULL.

Also in the present form both files are unreadable. I applied C beautifier on them.

Release:
RTEMS-4.6

Attachments (1)

shell.zip (10.5 KB) - added by mikeci on Dec 3, 2006 at 1:31:13 PM.
shell.zip

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Aug 22, 2003 at 5:57:20 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Sep 26, 2003 at 4:39:46 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Assumed to be fixed by alternative patch in PR436.

Changed on Dec 3, 2006 at 1:31:13 PM by mikeci

Attachment: shell.zip added

shell.zip

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.